Package org.apache.sling.jcr.webdav.impl.handler

# Class SlingCopyMoveManager

java.lang.Object
org.apache.jackrabbit.server.io.CopyMoveManagerImpl
org.apache.sling.jcr.webdav.impl.handler.SlingCopyMoveManager

All Implemented Interfaces:
  `org.apache.jackrabbit.server.io.CopyMoveManager`

public class SlingCopyMoveManager extends org.apache.jackrabbit.server.io.CopyMoveManagerImpl
CopyMoveManager service that uses a ServiceTracker to find available CopyMoveHandler.

## Constructor Summary

Constructors
Constructor
Description
`SlingCopyMoveManager(String referenceName)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addCopyMoveHandler(org.apache.jackrabbit.server.io.CopyMoveHandler propertyHandler)`
`void`
`bindCopyMoveHandler(org.osgi.framework.ServiceReference copyMoveHandlerReference)`
`org.apache.jackrabbit.server.io.CopyMoveHandler[]`
`getCopyMoveHandlers()`
`void`
`setComponentContext(org.osgi.service.component.ComponentContext componentContext)`
`void`
`unbindCopyMoveHandler(org.osgi.framework.ServiceReference copyMoveHandlerReference)`

### Methods inherited from class org.apache.jackrabbit.server.io.CopyMoveManagerImpl

`copy, getDefaultManager, move`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SlingCopyMoveManager

public SlingCopyMoveManager(String referenceName)

## Method Details

### addCopyMoveHandler

public void addCopyMoveHandler(org.apache.jackrabbit.server.io.CopyMoveHandler propertyHandler)

Specified by:
  `addCopyMoveHandler` in interface `org.apache.jackrabbit.server.io.CopyMoveManager`
Overrides:
  `addCopyMoveHandler` in class `org.apache.jackrabbit.server.io.CopyMoveManagerImpl`

### getCopyMoveHandlers

public org.apache.jackrabbit.server.io.CopyMoveHandler[] getCopyMoveHandlers()

Specified by:
  `getCopyMoveHandlers` in interface `org.apache.jackrabbit.server.io.CopyMoveManager`
Overrides:
  `getCopyMoveHandlers` in class `org.apache.jackrabbit.server.io.CopyMoveManagerImpl`

### setComponentContext

public void setComponentContext(org.osgi.service.component.ComponentContext componentContext)

### bindCopyMoveHandler

public void bindCopyMoveHandler(org.osgi.framework.ServiceReference copyMoveHandlerReference)

### unbindCopyMoveHandler

public void unbindCopyMoveHandler(org.osgi.framework.ServiceReference copyMoveHandlerReference)